Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.toolkit
Class EditElementMouseTransformFactory

    java.lang.Object
      jpicedt.graphic.toolkit.AbstractMouseTransformFactory
          jpicedt.graphic.toolkit.EditElementMouseTransformFactory

All Implemented Interfaces:
  MouseTransformFactory

public class EditElementMouseTransformFactory
extends AbstractMouseTransformFactory

A factory that produces MouseTransform's that may be plugged into the SelectionTool mouse tool.

Since:
  jPicEdt 1.3.2
Version:
  $Id: EditElementMouseTransformFactory.java,v 1.20.2.1 2007/09/02 11:56:28 reynal Exp $
Author:
  Sylvain Reynal

Nested Class Summary
`protected class` | `EditElementMouseTransformFactory._MoveControlPointTransform` a mouse-transform that moves element's end-points, ie aka scales elements
`protected class` | `EditElementMouseTransformFactory._MoveElementTransform` A mouse-transform that can translate an element, or a group of element.
`protected class` | `EditElementMouseTransformFactory.MoveControlPointTransform` a mouse-transform that moves element's end-points, ie aka scales elements.
`protected class` | `EditElementMouseTransformFactory.MoveElementTransform` A mouse-transform that can translate an element, or a group of element.
`protected class` | `EditElementMouseTransformFactory.SelectElementsInAreaTransform` a mouse-transform that selects all elements inside a rectangle dragged by the user
`protected class` | `EditElementMouseTransformFactory.UnselectTransform`

Nested classes inherited from class jpicedt.graphic.toolkit.AbstractMouseTransformFactory
`AbstractMouseTransformFactory.HelpMessageMouseTransform, AbstractMouseTransformFactory.InvalidMouseTransform, AbstractMouseTransformFactory.SelectAreaTransform`

Constructor Summary
`EditElementMouseTransformFactory(EditorKit kit)`

Method Summary
`MouseTransform` | `createMouseTransform(PEMouseEvent e)` Return a MouseTransform whose type is adequate with the given mouse-event.

Methods inherited from class jpicedt.graphic.toolkit.AbstractMouseTransformFactory
`flush, getEditorKit, init, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditElementMouseTransformFactory

    public EditElementMouseTransformFactory(EditorKit kit)

Parameters:
  `kit` - the hosting editor-kit

Method Detail

### createMouseTransform

    public MouseTransform createMouseTransform(PEMouseEvent e)

  Return a MouseTransform whose type is adequate with the given mouse-event. This can be null if no MouseTransform matches the given event.

  Basically, we work with the following modifiers : Shift, Control, Alt. Other modifiers must be excluded, given their poor support on MacOS platforms, and their odd behaviours on some Unices. Similarly, double-click events should be avoided since these are rather hard to deal with seeing that a single-click event is ALWAYS posted beforehands.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org